# classes/phing/tasks/ext/pdepend/PhpDependAnalyzerElement.php

## \PhpDependAnalyzerElement
jump to top

Analyzer element for the PhpDependTask

author
  Benjamin Schultz
package
  phing.tasks.ext.pdepend
since
  2.4.1
version
  $Id: PhpDependAnalyzerElement.php 755 2010-03-24 20:19:08Z bschultz $

### Properties

`string $_type= ''`

The type of the analyzer

Details

Type
  string

`array $_value= 'array'`

The value(s) for the analyzer option

Default value `array` Details

Type
  array

### Methods

`getType( ) : string`
Get the analyzer type
Returns

Type | Description
--- | ---
string |

`getValue( ) : string`
Get the analyzer value
Returns

Type | Description
--- | ---
string |

`setType( string $type ) : void`
Sets the analyzer type
Parameters

Name | Type | Description
--- | --- | ---
$type | string | Type of the analyzer

`setValue( string $value ) : void`
Sets the value for the analyzer
Parameters

Name | Type | Description
--- | --- | ---
$value | string | Value for the analyzer

Documentation was generated by DocBlox 0.13.1.